Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# rgba.hpp File Reference

## Detailed Description

Support for RGBA color space and variants.

Author:
  Lubomir Bourdev and Hailin Jin
  Adobe Systems Incorporated

Date:
  2005-2007
  Last updated on October 10, 2007

`#include <cstddef>`
`#include "gil_config.hpp"`
`#include <boost/mpl/contains.hpp>`
`#include "rgb.hpp"`
`#include "planar_pixel_iterator.hpp"`

Go to the source code of this file.

## Namespaces

namespace | boost
namespace | boost::gil

## Classes

struct | alpha_t
| Alpha. More...

## Typedefs

typedef mpl::vector4< red_t, green_t, blue_t, alpha_t > | rgba_t
typedef layout< rgba_t > | rgba_layout_t
typedef layout< rgba_t, mpl::vector4_c< int, 2, 1, 0, 3 > > | bgra_layout_t
typedef layout< rgba_t, mpl::vector4_c< int, 1, 2, 3, 0 > > | argb_layout_t
typedef layout< rgba_t, mpl::vector4_c< int, 3, 2, 1, 0 > > | abgr_layout_t

## Functions

template<typename IC>
type_from_x_iterator < planar_pixel_iterator< IC, rgba_t > >::view_t | planar_rgba_view (std::size_t width, std::size_t height, IC r, IC g, IC b, IC a, std::ptrdiff_t rowsize_in_bytes)
| from raw RGBA planar data